## spacebar 6.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

set(PROJECT_VERSION "6.2.4")
string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)

set(PROJECT_DEP_VERSION "6.2.4")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.5.0")
set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")

project(spacebar VERSION ${PROJECT_VERSION})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

################# set KDE specific information #################
find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
find_package(PkgConfig REQUIRED)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEClangFormat)
include(KDEGitCommitHooks)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX SPACEBAR
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

################# Find dependencies #################
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Concurrent Gui Qml Quick QuickControls2 Widgets Sql)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Contacts People Notifications Config CoreAddons DBusAddons ModemManagerQt KIO WindowSystem Crash)
find_package(KF6KirigamiAddons 1.4 REQUIRED)
find_package(PhoneNumber COMPONENTS PhoneNumber REQUIRED)
find_package(CURL REQUIRED)
pkg_search_module(c-ares libcares REQUIRED IMPORTED_TARGET)
find_package(FutureSQL6 REQUIRED)
find_package(QCoro6 COMPONENTS Core DBus REQUIRED)

kde_enable_exceptions()
qcoro_enable_coroutines()

################# build and install #################
add_subdirectory(lib)
add_subdirectory(daemon)
add_subdirectory(src)

ki18n_install(po)

install(PROGRAMS org.kde.spacebar.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.spacebar.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.spacebar.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES spacebar.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(spacebar_SRCS
    main.cpp
    about.cpp
    chatlistmodel.cpp
    messagemodel.cpp
    utils.cpp
    channelhandler.cpp
)

set(DaemonXML ${CMAKE_CURRENT_SOURCE_DIR}/../daemon/org.kde.spacebar.Daemon.xml)

# We need some DBus type definitions from database.h
set_source_files_properties(${DaemonXML} PROPERTIES INCLUDE database.h)
qt_add_dbus_interface(spacebar_SRCS ${DaemonXML} daemoninterface)

qt_add_resources(RESOURCES resources.qrc)

add_executable(spacebar ${spacebar_SRCS} ${RESOURCES})

add_dependencies(spacebar spacebar-daemon)

target_include_directories(spacebar PRIVATE ${CMAKE_BINARY_DIR})
target_compile_definitions(spacebar PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(spacebar PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    Qt6::QuickControls2
    Qt6::Sql
    Qt6::Widgets
    Qt6::DBus
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::I18n
    KF6::Contacts
    KF6::People
    KF6::PeopleBackend
    KF6::KIOGui
    KF6::WindowSystem
    KF6::Crash
    database
    kTelephonySupport
    macros
    config
    QCoro::Core
    QCoro::DBus
)

install(TARGETS spacebar ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
spacebar (1:6.2.4-2) unstable; urgency=medium

  * Simplify d/rules using dh-sequence-kf6,-pkgkde-symbolshelper,-sodeps
    build-deps

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sun, 29 Dec 2024 22:57:28 +0100

spacebar (1:6.2.4-1) unstable; urgency=medium

  * New upstream release
  * Update d/rules for building based on KF6 instead of KF5
  * Update d/control after upstream CMakeLists.txt and use dh_qmldeps
  * Update d/copyright after upstream changes
  * Standards-version 4.7.0 (no changes needed)
  * Update Vcs-* URLs to the new location in the Qt/KDE team’s GitLab group.
  * Change maintainer to the Qt/KDE Team.
  * Drop gbp.conf.
  * Reexport upstream signing keys without extra signatures.
  * Bump epoch due to new upstream versioning scheme.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 24 Dec 2024 19:30:09 +0100

spacebar (23.01.0-2) unstable; urgency=medium

  * Replace kirigami-addons-dev with kirigami-addons5-dev in build-deps
    (Closes: #1079483)

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Wed, 11 Dec 2024 19:13:51 +0100

spacebar (23.01.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2 (no change needed)
  * Refresh Build-Deps after upstream CMakeLists.txt
  * Refresh d/copyright after upstream-modified files

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sun, 12 Feb 2023 10:09:42 +0100

spacebar (22.11-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * Initial release. Closes: #1023271

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 03 Jan 2023 18:20:48 +0100

=== debian/control ===
Source: spacebar
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 6.5.0~),
               kirigami-addons-dev (>= 1.4~),
               kirigami2-dev (>= 5.102.0~),
               libc-ares-dev,
               libcurl4-gnutls-dev,
               libfuturesql6-dev,
               libkf6config-dev (>= 6.5.0~),
               libkf6contacts-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6modemmanagerqt-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6people-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               libphonenumber-dev,
               pkgconf,
               pkg-kde-tools,
               qcoro-qt6-dev,
               qt6-5compat-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/spacebar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spacebar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spacebar.git
Rules-Requires-Root: no

Package: spacebar
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${qml6:Depends},
Recommends: qml6-module-org-kde-breeze,
            qt6-wayland,
Description: SMS/MMS application for Plasma Mobile
 Spacebar is an SMS/MMS application that primarily targets Plasma Mobile.
 It depends on Qt and few KDE Frameworks (Kirigami2, KI18n, KPeople, and
 ModemManagerQt).

## spacebar 6.2.5

=== debian/changelog ===
spacebar (1:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:06:09 +0000

spacebar (1:6.2.4-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 30 Dec 2024 02:55:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: spacebar
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               dh-sequence-kf6,
-               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               dh-sequence-sodeps,
                extra-cmake-modules (>= 6.5.0~),
                kirigami-addons-dev (>= 1.4~),
                kirigami2-dev (>= 5.102.0~),
@@ -29,16 +27,16 @@
                libkf6windowsystem-dev (>= 6.5.0~),
                libkirigami-dev (>= 6.5.0~),
                libphonenumber-dev,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
                qcoro-qt6-dev,
                qt6-5compat-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma-mobile/spacebar
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spacebar
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spacebar.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
 Rules-Requires-Root: no
 
 Package: spacebar

## spacebar 6.2.90

=== debian/changelog ===
spacebar (1:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Update qmldeps.overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:25:18 +0000

## spacebar 6.2.91

=== debian/changelog ===
spacebar (1:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:45:40 +0000

## spacebar 6.3.0

=== debian/changelog ===
spacebar (1:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:58:55 +0000

## spacebar 6.3.1

=== debian/changelog ===
spacebar (1:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:27:05 +0000

## spacebar 6.3.2

=== debian/changelog ===
spacebar (1:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:19:32 +0000

## spacebar 6.3.3

=== debian/changelog ===
spacebar (1:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:26:39 +0000

## spacebar 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.2.4")
+set(PROJECT_VERSION "6.3.4")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.2.4")
+set(PROJECT_DEP_VERSION "6.3.4")
 set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.5.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")
 
 project(spacebar VERSION ${PROJECT_VERSION})
@@ -56,6 +56,7 @@
 add_subdirectory(lib)
 add_subdirectory(daemon)
 add_subdirectory(src)
+add_subdirectory(test)
 
 ki18n_install(po)

=== debian/changelog ===
spacebar (1:6.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.
  * Standards-version 4.7.2 (no changes needed).
  * d/watch: set pgpsigurlmangle option for uscan to check upstream signatures.
  * d/qmldeps.overrides: add spacebarfakeserver.
  * d/spacebar.lintian-overrides: add spacebar-fakeserver.

  [ Aurélien COUDERC ]
  * New upstream release (6.3.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Apr 2025 18:49:41 +0200

=== debian/control ===
Source: spacebar
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.10.0~),
               kirigami-addons-dev (>= 1.4~),
               kirigami2-dev (>= 5.102.0~),
               libc-ares-dev,
               libcurl4-gnutls-dev,
               libfuturesql6-dev,
               libkf6config-dev (>= 6.10.0~),
               libkf6contacts-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6modemmanagerqt-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6people-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libphonenumber-dev,
               pkg-kde-tools,
               pkgconf,
               qcoro-qt6-dev,
               qt6-5compat-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma-mobile/spacebar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spacebar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spacebar.git
Rules-Requires-Root: no

Package: spacebar
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: qml6-module-org-kde-breeze, qt6-wayland,
Description: SMS/MMS application for Plasma Mobile
 Spacebar is an SMS/MMS application that primarily targets Plasma Mobile.
 It depends on Qt and few KDE Frameworks (Kirigami2, KI18n, KPeople, and
 ModemManagerQt).

## spacebar 6.3.5

=== debian/changelog ===
spacebar (1:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:37:23 +0100

spacebar (1:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:59:52 +0100

## spacebar 6.4.2

=== debian/changelog ===
spacebar (1:6.4.2-0zneon+24.04+noble+release+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 12:39:20 +0000

spacebar (1:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:49:41 +0000

spacebar (1:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 00:00:07 +0000

spacebar (1:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:37:10 +0000

spacebar (1:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:08:43 +0000

spacebar (1:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:22:37 +0000

spacebar (1:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:18:22 +0000

spacebar (1:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:20:21 +0000

spacebar (1:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:06:37 +0000

spacebar (1:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:39:07 +0000

spacebar (1:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:16:36 +1000

spacebar (1:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 06 Nov 2024 10:56:35 +1000

spacebar (1:6.2.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 Feb 2024 12:05:19 +0000

spacebar (1:6.1.90-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 May 2024 16:14:26 +0000

spacebar (23.01.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 30 Jan 2023 16:14:05 +0000

spacebar (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 16:14:07 +0000

spacebar (22.09-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Oct 2022 16:14:07 +0000

spacebar (22.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:28:50 +0000

spacebar (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 23 Apr 2022 16:14:05 +0000

spacebar (22.02.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Feb 2022 16:14:06 +0000

spacebar (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 16:14:06 +0000

spacebar (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 16:14:05 +0000

spacebar (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 16:14:04 +0000

spacebar (21.06-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:19 +0000

spacebar (0.01~git10272016-3) xenial; urgency=medium

  * Add some more missing qml-modules. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 03 Nov 2016 08:22:56 -0700

spacebar (0.01~git10272016-2) xenial; urgency=medium

  [ Bhushan Shah ]
  * Initial release.

  [ Scarlett Clark ]
  * Add missing dependencies.
  * Fix dbg package Depend.
  * Add copyright paragraph. 
  * Switch to dbgsym-migration 
  * Remove install file, dh_install installs resulting in missing files error.
  * Remove duplicate copyright. 
  * Add qml modules. 

 -- Bhushan Shah <bshah@kde.org>  Thu, 25 Feb 2016 15:24:53 +0530

## spacebar 6.4.3

=== debian/changelog ===
spacebar (1:6.4.3-0zneon+24.04+noble+release+build36) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 12:09:18 +0000

spacebar (1:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:18:59 +0000

=== debian/control ===
Source: spacebar
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kpeople-dev,
               kf6-kwallet-dev,
               kf6-kwindowsystem-dev,
               kf6-modemmanager-qt-dev,
               libc-ares-dev,
               libfreetype-dev,
               libfuturesql6-dev,
               libphonenumber-dev,
               pkg-kde-tools-neon,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/spacebar.git
Vcs-Git: https://invent.kde.org/neon/mobile/spacebar.git
Vcs-Browser: https://invent.kde.org/neon/mobile/spacebar
Maintainer: Neon CI <neon@kde.org>

Package: spacebar
Architecture: any
Depends: kf6-kdeclarative,
         kf6-kirigami2,
         kf6-kpeople,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Mobile SMS/MMS messaging client
 Spacebar is a SMS/MMS messaging client. It allows you to send text messages, 
 pictures and other files over a cellular network.

## spacebar 6.4.4

=== debian/changelog ===
spacebar (1:6.4.4-0zneon+24.04+noble+release+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 14:04:06 +0000

spacebar (1:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:29:11 +0000

## spacebar 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.5")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.3.4")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.4.5")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")
 
 project(spacebar VERSION ${PROJECT_VERSION})

=== lib/CMakeLists.txt ===
add_library(macros STATIC global.h)
target_include_directories(macros PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(telephonySupport)
add_subdirectory(database)
add_subdirectory(mms)
add_subdirectory(config)

=== lib/config/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Jonah Brüchert <jbb@kaidan.im>
# SPDX-License-Identifier: BSD-2-Clause

add_library(config STATIC)

kconfig_add_kcfg_files(config settingsmanager.kcfgc GENERATE_MOC)

target_link_libraries(config PUBLIC Qt6::Core KF6::ConfigGui KF6::ConfigCore)

=== lib/database/CMakeLists.txt ===
add_library(database STATIC database.cpp migrations.qrc)
target_compile_definitions(database PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(database
    PUBLIC Qt::Core Qt::Sql Qt::DBus macros kTelephonySupport
    FutureSQL6::FutureSQL QCoro6::Core)
target_include_directories(database PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== test/fakeserver/CMakeLists.txt ===
set(spacebar-fakeserver_SRCS
    main.cpp
    server.cpp
    messagingmocker.cpp
    modemmocker.cpp
    smsmocker.cpp
    rootmocker.cpp
    objectmanagermocker.cpp
    dbusobject.cpp
)

set(mm_messaging_dbusXML dbus/org.freedesktop.ModemManager1.Modem.Messaging.xml)
set(mm_modem_dbusXML dbus/org.freedesktop.ModemManager1.Modem.xml)
set(mm_sms_dbusXML dbus/org.freedesktop.ModemManager1.Sms.xml)
set(mm_root_dbusXML dbus/org.freedesktop.ModemManager1.xml)
set(mm_objectmanager_dbusXML dbus/org.freedesktop.DBus.ObjectManager.xml)

qt_add_dbus_adaptor(
    spacebar-fakeserver_SRCS
    ${mm_messaging_dbusXML}
    messagingmocker.h
    MessagingMocker
    messagingadaptor)

qt_add_dbus_adaptor(
    spacebar-fakeserver_SRCS
    ${mm_modem_dbusXML}
    modemmocker.h
    ModemMocker
    modemadaptor)

qt_add_dbus_adaptor(
    spacebar-fakeserver_SRCS
    ${mm_sms_dbusXML}
    smsmocker.h
    SmsMocker
    smsadaptor)

qt_add_dbus_adaptor(
    spacebar-fakeserver_SRCS
    ${mm_root_dbusXML}
    rootmocker.h
    RootMocker
    rootadaptor)

qt_add_dbus_adaptor(
    spacebar-fakeserver_SRCS
    ${mm_objectmanager_dbusXML}
    objectmanagermocker.h
    ObjectManagerMocker
    objectmanageradaptor)

add_executable(spacebar-fakeserver ${spacebar-fakeserver_SRCS})

qt_add_qml_module(spacebar-fakeserver
    URI org.kde.spacebar.fakeserver
    VERSION 1.0
)

target_link_libraries(spacebar-fakeserver PUBLIC
    Qt::Qml
    Qt::Gui
    Qt::Widgets
    Qt::Quick
    Qt::DBus
    KF6::ModemManagerQt
    KF6::CoreAddons
    KF6::DBusAddons
)

qt_target_qml_sources(spacebar-fakeserver
    QML_FILES
        qml/Main.qml
)

target_include_directories(spacebar-fakeserver PRIVATE ${CMAKE_BINARY_DIR})
install(TARGETS spacebar-fakeserver ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
spacebar (1:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:54 +0100

spacebar (1:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:23 +0100

=== debian/control ===
Source: spacebar
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.14.0~),
               kirigami-addons-dev (>= 1.4~),
               kirigami2-dev (>= 5.102.0~),
               libc-ares-dev,
               libcurl4-gnutls-dev,
               libfuturesql6-dev,
               libkf6config-dev (>= 6.14.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6modemmanagerqt-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6people-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libphonenumber-dev,
               pkg-kde-tools,
               pkgconf,
               qcoro-qt6-dev,
               qt6-5compat-dev (>= 6.8.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/spacebar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
Rules-Requires-Root: no

Package: spacebar
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${qml6:Depends},
Recommends: qml6-module-org-kde-breeze,
            qt6-wayland,
Description: SMS/MMS application for Plasma Mobile
 Spacebar is an SMS/MMS application that primarily targets Plasma Mobile.
 It depends on Qt and few KDE Frameworks (Kirigami2, KI18n, KPeople, and
 ModemManagerQt).

=== debian/watch ===
version=4
opts=pgpmode=auto https://download.kde.org/stable/plasma/@ANY_VERSION@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## spacebar 6.4.5+p24.04+vstable+git20251003.1108

=== debian/changelog ===
spacebar (1:6.4.5+p24.04+vstable+git20251003.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:08:25 +0000

spacebar (1:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:46:38 +0000

## spacebar 6.4.5+p24.04+vstable+git20251004.0529

=== debian/changelog ===
spacebar (1:6.4.5+p24.04+vstable+git20251004.0529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:29:11 +0000

## spacebar 6.4.5+p24.04+vstable+git20251012.0117

=== debian/changelog ===
spacebar (1:6.4.5+p24.04+vstable+git20251012.0117-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:17:44 +0000

## spacebar 6.4.5+p24.04+vstable+git20251019.0355

=== debian/changelog ===
spacebar (1:6.4.5+p24.04+vstable+git20251019.0355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:55:58 +0000

## spacebar 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.4.91")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")
 
 project(spacebar VERSION ${PROJECT_VERSION})

=== debian/changelog ===
spacebar (1:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:03:12 +0200

## spacebar 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.0")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 set(spacebar_SRCS
     main.cpp
-    about.cpp
     chatlistmodel.cpp
     messagemodel.cpp
     utils.cpp

=== debian/changelog ===
spacebar (1:6.5.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Oct 2025 11:01:08 +0100

spacebar (1:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:02 +0200

spacebar (1:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:40:27 +0100

=== debian/control ===
Source: spacebar
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
           Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 1.4~),
               kirigami2-dev (>= 5.102.0~),
               libc-ares-dev,
               libcurl4-gnutls-dev,
               libfuturesql6-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6contacts-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6modemmanagerqt-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6people-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libphonenumber-dev,
               pkg-kde-tools,
               pkgconf,
               qcoro-qt6-dev,
               qt6-5compat-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma-mobile/spacebar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
Rules-Requires-Root: no

Package: spacebar
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-breeze,
            qt6-wayland,
Description: SMS/MMS application for Plasma Mobile
 Spacebar is an SMS/MMS application that primarily targets Plasma Mobile.
 It depends on Qt and few KDE Frameworks (Kirigami2, KI18n, KPeople, and
 ModemManagerQt).

## spacebar 6.5.0+p24.04+vstable+git20251021.0908

=== debian/changelog ===
spacebar (1:6.5.0+p24.04+vstable+git20251021.0908-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:08:50 +0000

spacebar (1:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:41:24 +0000

## spacebar 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")

=== lib/mms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Michael Lang <criticaltemp@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

add_library(mms STATIC mms.cpp)
target_compile_definitions(mms PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(mms PUBLIC Qt6::Core KF6::ConfigGui macros kTelephonySupport config)

target_include_directories(mms PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== lib/telephonySupport/CMakeLists.txt ===
add_library(kTelephonySupport STATIC
    avatarimageprovider.cpp
    contactphonenumbermapper.cpp
    modemcontroller.cpp
    phonenumber.cpp
    phonenumberlist.cpp)
target_compile_definitions(kTelephonySupport PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(kTelephonySupport PUBLIC
    Qt6::Core
    Qt6::Quick
    KF6::People
    KF6::PeopleBackend
    KF6::ModemManagerQt
    PhoneNumber::PhoneNumber
    macros)
target_include_directories(kTelephonySupport PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
spacebar (1:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:14:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: spacebar
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Marco Mattiolo <marco.mattiolo@hotmail.it>,
@@ -39,8 +38,8 @@
                qt6-declarative-dev (>= 6.9.0~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma-mobile/spacebar
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spacebar
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spacebar.git
 Rules-Requires-Root: no
 
 Package: spacebar

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/@ANY_VERSION@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## spacebar 6.5.1+p24.04+vstable+git20251029.0805

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)

=== debian/changelog ===
spacebar (1:6.5.1+p24.04+vstable+git20251029.0805-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:05:31 +0000

spacebar (1:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:10:48 +0000

## spacebar 6.5.2

=== debian/changelog ===
spacebar (1:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:31:26 +0100

## spacebar 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")

=== debian/changelog ===
spacebar (1:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:24:19 +0100

## spacebar 6.5.3+p24.04+vunstable+git20251206.0746

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")

=== debian/changelog ===
spacebar (1:6.5.3+p24.04+vunstable+git20251206.0746-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:46:54 +0000

spacebar (1:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:08 +1000

spacebar (1:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:27 +1000

## spacebar 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")

=== debian/changelog ===
spacebar (1:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:24:37 +0000

spacebar (1:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:10:47 +0000

spacebar (1:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:15:20 +0000

spacebar (1:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:49:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: spacebar
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Marco Mattiolo <marco.mattiolo@hotmail.it>,
@@ -38,18 +39,15 @@
                qt6-declarative-dev (>= 6.9.0~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma-mobile/spacebar
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spacebar
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spacebar.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
 Rules-Requires-Root: no
 
 Package: spacebar
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Recommends: qml6-module-org-kde-breeze,
-            qt6-wayland,
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Recommends: qml6-module-org-kde-breeze, qt6-wayland,
 Description: SMS/MMS application for Plasma Mobile
  Spacebar is an SMS/MMS application that primarily targets Plasma Mobile.
  It depends on Qt and few KDE Frameworks (Kirigami2, KI18n, KPeople, and

## spacebar 6.5.4+p24.04+vstable+git20260101.0147

=== debian/changelog ===
spacebar (1:6.5.4+p24.04+vstable+git20260101.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:47:56 +0000

spacebar (1:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:23 +1000

## spacebar 6.5.4+p24.04+vstable+git20260103.0538

=== debian/changelog ===
spacebar (1:6.5.4+p24.04+vstable+git20260103.0538-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:38:57 +0000

## spacebar 6.5.4+p24.04+vstable+git20260105.1054

=== debian/changelog ===
spacebar (1:6.5.4+p24.04+vstable+git20260105.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:54:49 +0000

## spacebar 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")

=== debian/changelog ===
spacebar (1:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:10:15 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Marco Mattiolo <marco.mattiolo@hotmail.it>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                dh-sequence-sodeps,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.18.0~),
                kirigami-addons-dev (>= 1.4~),
                kirigami2-dev (>= 5.102.0~),

## spacebar 6.5.5+p24.04+vstable+git20260126.1222

=== debian/changelog ===
spacebar (1:6.5.5+p24.04+vstable+git20260126.1222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 12:22:04 +0000

spacebar (1:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:57 +1000

## spacebar 6.5.5+p24.04+vstable+git20260130.0826

=== debian/changelog ===
spacebar (1:6.5.5+p24.04+vstable+git20260130.0826-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:26:52 +0000

## spacebar 6.5.5+p24.04+vunstable+git20260126.1031

=== debian/changelog ===
spacebar (1:6.5.5+p24.04+vunstable+git20260126.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 10:32:00 +0000

## spacebar 6.5.5+p24.04+vunstable+git20260201.0810

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")
 
 project(spacebar VERSION ${PROJECT_VERSION})

=== debian/changelog ===
spacebar (1:6.5.5+p24.04+vunstable+git20260201.0810-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 08:10:25 +0000
